Create ansible script for monitoring/central logging server
Closed, ResolvedPublic5 Story Points

Description

  • create backup user
  • create personal user accounts
  • cron jobs
  • munin setup
  • copy backed up data to new location
  • switch subdomain monitor.wikimedia.de to new IP address

Related Objects

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2017, 1:42 PM
kai.nissen triaged this task as Normal priority.Apr 26 2017, 1:43 PM
kai.nissen set the point value for this task to 5.

We have the remote_backup_user variable in some playbooks, it can be made more global for the "Create backup user" part.

kai.nissen updated the task description. (Show Details)May 17 2017, 10:55 AM
kai.nissen updated the task description. (Show Details)
kai.nissen updated the task description. (Show Details)May 17 2017, 11:49 AM

All servers have been provisioned with the changes. Let's wait another night to see if the old machine still receives logs or backups from the other machines.

If we don't want to wait until Monday, the logrotate config in templates/logrotate/nginx-fundraising.j2 needs to be set from weekly to daily. This is probably a good idea anyway

Pablo-WMDE closed this task as Resolved.Jun 1 2017, 9:50 AM